{% extends "@admin/base.html.twig" %}

{% import "@admin/macros.html.twig" as macro %}

{% block body %}
    {{ macro.breadcrumb() }}

    {{ form_start(form) }}

    <div class="row">
        <div class="col-6">{{ form_row(form.name) }}</div>
        <div class="col">{{ form_row(form.sorting) }}</div>
        <div class="col">{{ form_row(form.reference) }}</div>
    </div>
    <div class="row">
        <div class="col">{{ form_row(form.quantityOwned) }}</div>
        <div class="col">{{ form_row(form.quantityDouble) }}</div>
        <div class="col">{{ form_row(form.quantityEchange) }}</div>
        <div class="col">{{ form_row(form.lookingFor) }}</div>
        <div class="col">{{ form_row(form.year) }}</div>
    </div>

    {{ form_row(form.serie, { 'attr':{'disabled': form.vars.value.serie and not form.vars.value.id ? true : false } }) }}

    {{ form_widget(form) }}

    <div class="form-group">
        <button type="submit" class="btn-primary btn">{{ action }}</button>
        <a href="{{ breadcrumb.previous }}" class="btn-light btn">Annuler</a>
        <a href="{{ path('admin_images_add_type', {type: 'Piece'}) }}" target="_blank" class="float-right"><i class="fas fa-plus"></i> image</a>
    </div>

    {{ form_end(form) }}

{% endblock %}
